## autodir 0.99.9

=== debian/changelog ===
autodir (0.99.9-18) unstable; urgency=medium

  * Removed absolute paths for Exec* directives to avoid possible fails for
    systems that use other paths for system tools, better later than never.
  * Now using grep -E instead of obsoleted egrep.
  * Policy bumped to 4.6.2, no changes.
  * Updated homepage in d/control and the d/watch file.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 27 Dec 2023 19:56:46 +0100

autodir (0.99.9-17) unstable; urgency=medium

  * Fixed unit files for *-home and -*group to have the right activation state
    after run.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 04 Apr 2022 14:35:34 +0200

autodir (0.99.9-16) unstable; urgency=medium

  * Fixed wrong path in Vcs* fields in d/control.
  * Changed configure call to cope with cross-building.
   (closes: #980063)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 15 Jan 2021 15:26:51 +0100

autodir (0.99.9-15) unstable; urgency=medium

  * Introduced systemd unit files to be used instead of the sysv init script.
  * Cleaned up trailing spaces in d/changelog.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 11 Jan 2021 12:05:44 +0100

autodir (0.99.9-14) unstable; urgency=medium

  * Minor change to getsubopt patch to mute some gcc warnings.
  * Revised debian/doc-base.
  * Now using debhelpe-compat in debian/control.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 21 Dec 2020 10:06:47 +0100

autodir (0.99.9-13) unstable; urgency=medium

  * Now using modern dh style in debian/rules.
  * Added debian/gbp.conf file.
  * New Vcs-* fields added because of moving to salsa for maintainance.
  * Reformatted debian/copyright in current machine readable format.
  * Added gccwarns patch to cleanup some gcc warnings.
  * Housekept patchset to add comments.
  * Added a chown patch for checking return value of a chown().

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 16 Dec 2020 11:13:17 +0100

autodir (0.99.9-12) unstable; urgency=medium

  * Updated to reflect current status of upstream (non)development and up-to-date
    documentation pointers and Homepage.
    (closes: #778416)
  * Policy bumped to 4.5.1. No changes required.
  * Removed obsolete autotools-dev build-dep.
  * Autodir HOWTO is now included in provided docs, with its docbook source.
  * Added doc-base file.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 04 Dec 2020 19:53:25 +0000

autodir (0.99.9-11) unstable; urgency=medium

  * Added patch `gcc10' to manage multiple definitions of global function pointers.
    (closes: #957024)
  * Policy bumped to 4.5.0 and debhelper compat level set to 10 (the current minimal one).
  * Now using dh_update_autotools_config instead of deprecated form.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 24 Jul 2020 15:53:22 +0000

autodir (0.99.9-10) unstable; urgency=medium

  * Added contributed manpage.
    (closes: #604863)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 09 Jan 2014 10:20:18 +0100

autodir (0.99.9-9) unstable; urgency=medium

  * Moved to kmod dependency instead of module-init-tools.
    (closes: #733703)
  * Policy bumped to 3.9.5 and dhelper compat set to 9.
  * Fixed for build-* targets in debian/rules.
  * Dropped /var/lock/autodir distribution and changed init file to create the
    modern /run/lock/autodir on fly. Also changed the pidfiles locations.
    (closes: #689880)
  * The autodir script should start after autofs daemon, changed init script
    header as consequence.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 08 Jan 2014 16:35:35 +0100

autodir (0.99.9-8) unstable; urgency=low

  * New patch setpriority: fixes a missing set of header files.
    (closes: #701449)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 23 Feb 2013 15:06:34 +0100

autodir (0.99.9-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: dpkg-buildpackage: error: dpkg-source -b autodir-0.99.9
    gave error exit status 2": drop automagically created patch and use
    autotools-dev helpers in debian/rules to handle config.{guess,sub}.
    (Closes: #643050)

 -- gregor herrmann <gregoa@debian.org>  Wed, 18 Jan 2012 19:03:07 +0100

autodir (0.99.9-7) unstable; urgency=low

  * Now use source format 3.0 and quilt.
  * New patch: getsubopt, removed explicit prototype for getsubopt().
    (closes: #624904)
  * Policy bumped to 3.9.2, and debhelper level set to 8.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 02 May 2011 18:01:36 +0200

autodir (0.99.9-6) unstable; urgency=low

  * Moved to main.
  * Copyright set to GPL2+, as stated in the code.
  * Removed HOWTO documents provided in the debian/ area and released as CC-A v2.
  * README.Debian now points the howto on the autodir site.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 17 May 2010 12:45:11 +0200

autodir (0.99.9-5) unstable; urgency=low

  * Removed obsolete -k/--autoclean option in init script. Now logging to syslog.
  * Changed minimal module-init-tools version to 3.10 for safety.
    (closes: #577743)
  * Policy bumped to 3.8.4. No changes.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 14 Apr 2010 10:08:50 +0200

autodir (0.99.9-4) unstable; urgency=low

  * Added a suitable LSF init section to debian/autodir.init.
  * Fixed debian/copyright for copyright holder.
  * Fixed cleaning rule.
  * Removed empty prerm/preinst.
  * Now the autodir init file creates /var/lock/autodir at every run.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 02 Jun 2009 19:52:21 +0200

autodir (0.99.9-3) unstable; urgency=low

  * Updated to use build-dep libltdl-dev.
    (closes: #531526)
  * Updated to dehelper 7
  * Added homepage field to debian/control.
  * Now usin dh_prep instead of dh_clean -k.
  * Policy bumped to 3.8.1.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 02 Jun 2009 19:29:54 +0200

autodir (0.99.9-2) unstable; urgency=low

  * New upload to force a rebuild.

